package si.taranenko.game;

import java.util.Random;
import android.app.Activity;
import android.app.AlertDialog;
import android.app.Dialog;
import android.content.DialogInterface;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

public class UgibanjeStevilaActivity extends Activity {
	private Random generator = new Random();
	private int stevilo;
	private static final int DIALOG_NONUMBER = 1;
	private static final int DIALOG_PREVEC = 2;
	private static final int DIALOG_PREMALO = 3;
	private static final int DIALOG_TOCNO = 4;
	private static final int DIALOG_GIVEUP = 5;
	
	private void novaIgra() {
		TextView tv = (TextView)findViewById(R.id.txtNavodilo);
		tv.setText("Ugani tevilo, ki sem si ga izmislil. Je med 1 in 100.");
		stevilo = generator.nextInt(100)+1;
	}
	
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        novaIgra();
        
        Button btnOk = (Button)findViewById(R.id.btnUgibaj);
        btnOk.setOnClickListener(new OnClickListener() {
			
			public void onClick(View v) {
				EditText txt = (EditText)findViewById(R.id.edtStevilo);
				String s = txt.getText().toString();
				
					if (s.length()==0) {
						showDialog(DIALOG_NONUMBER);
					} else {
						int ugib = Integer.parseInt(s);
						
						if (ugib == stevilo) {
							showDialog(DIALOG_TOCNO);
						} else if (ugib > stevilo) {
							showDialog(DIALOG_PREVEC);
						} else {
							showDialog(DIALOG_PREMALO);
						}
					}
				}
		});
        
        Button btnGiveUp = (Button)findViewById(R.id.btnKonec);
        btnGiveUp.setOnClickListener(new OnClickListener() {
			
			public void onClick(View v) {	
				showDialog(DIALOG_GIVEUP);
			}
		});
    }
    
    public Dialog onCreateDialog(int id){
    	switch (id) {
    	case DIALOG_TOCNO:
    		return new AlertDialog.Builder(this)
    			.setTitle("Bravo!")
    			.setMessage("Uganil si stevilo! Nova igra?")
    			.setPositiveButton("Da", new Dialog.OnClickListener() {
    				public void onClick(DialogInterface dlg, int x){
    					novaIgra();
    				}
    			})
    			.setNegativeButton("Ne", new Dialog.OnClickListener() {
    				public void onClick(DialogInterface dlg, int x){
    					finish();
    				}
    			})
    			.create();
    		
    	case DIALOG_NONUMBER:
    		return new AlertDialog.Builder(this)
			.setTitle("Nevidno stevilo!")
			.setMessage("Vnesi stevilo!")
			.setPositiveButton("Ok", null)
			.create();
    		
    	case DIALOG_PREVEC:
    		return new AlertDialog.Builder(this)
			.setTitle("Ni pravilno")
			.setMessage("Tvoje stevilo je preveliko!")
			.setPositiveButton("Ok", null)
			.create();
    		
    	case DIALOG_PREMALO:
    		return new AlertDialog.Builder(this)
			.setTitle("Ni pravilno")
			.setMessage("Tvoje stevilo je premalo!")
			.setPositiveButton("Ok", null)
			.create();
    		
    	case DIALOG_GIVEUP:
    		return new AlertDialog.Builder(this)
			.setTitle("Loser!")
			.setMessage("Vdal si se! Nova igra?")
			.setPositiveButton("Da", new Dialog.OnClickListener() {
    				public void onClick(DialogInterface dlg, int x){
    					novaIgra();
    				}
    			})
    		.setNegativeButton("Ne", new Dialog.OnClickListener() {
    				public void onClick(DialogInterface dlg, int x){
    					finish();
    				}
    			})
    			.create();
    	}
    	return null;
    }
}